订阅本站
收藏本站
微博分享
QQ空间分享

libxslt 'libxslt/preproc.c'类型转换拒绝服务漏洞(CVE-2015-7995)

alen 分类:安全维护 时间:2018/11/20 00:00:00 浏览: 评论: 加入收藏
libxslt 'libxslt/preproc.c'类型转换拒绝服务漏洞(CVE-2015-7995)


发布日期:2015-10-27
更新日期:2015-11-30

受影响系统:

libxslt libxslt 1.1.28

描述:


BUGTRAQ  ID: 77325
CVE(CAN) ID: CVE-2015-7995

libxslt是为GNOME项目开发的XSLT C库。

libxslt 1.1.28版本,preproc.c中的函数xsltStylePreCompute未检查父节点是否一个元素,通过构造的XML文件,远程攻击者可造成拒绝服务。

<*来源:Stefan Cornelius
  *>

建议:


厂商补丁:

libxslt
-------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载

https://git.gnome.org/browse/libxslt/commit/?id=7ca19df892ca22d9314e95d59ce2abdeff46b617

https://bugzilla.redhat.com/show_bug.cgi?id=1257962

本文永久更新链接地址:http://www.linuxidc.com/Linux/2015-12/125720.htm

TAG:

文章评论

留言与评论(共有 0 条评论)
   
验证码: